Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - DeveloperPortalMenuItems

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Developer Portal Menu Items

Developer Portal navigation menu.

Get Developer Portal menu items

Get the list of navigation menu items configured for a developer portal.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
Array
enabled
required
boolean

Indicates whether the menu item is enabled. If not, it will not show up in the Developer Portal.

text
required
string

Display label of the menu item.

type
required
string
Enum: "URL" "PAGE" "SYSTEM"

URL (external link) or PAGE (internal portal page).

visibility
required
string
Enum: "ALWAYS" "LOGGED_IN" "LOGGED_OUT"

Controls which users can see this menu item. Can be ALWAYS, LOGGED_IN (for authenticated users only) or LOGGED_OUT (for guest users only).

iconName
string

Optional icon name to display alongside the label.

url
string

Target URL, required when type is URL.

pageName
string

Internal page name, required when type is PAGE.

Response samples

Content type
application/json
[
  • {
    • "type": "URL",
    • "text": "string",
    • "iconName": "string",
    • "url": "string",
    • "pageName": "string",
    • "enabled": true,
    • "visibility": "ALWAYS"
    }
]

Update Developer Portal menu items

Replace all navigation menu items for a developer portal. The full list of items must be provided — existing items not included in the request will be removed. Each item of type URL requires a url, and each item of type PAGE requires a pageName.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
required
Array of objects (DevPortalMenuItemDTO)

Ordered list of navigation menu items.

Array
enabled
required
boolean

Indicates whether the menu item is enabled. If not, it will not show up in the Developer Portal.

text
required
string

Display label of the menu item.

type
required
string
Enum: "URL" "PAGE" "SYSTEM"

URL (external link) or PAGE (internal portal page).

visibility
required
string
Enum: "ALWAYS" "LOGGED_IN" "LOGGED_OUT"

Controls which users can see this menu item. Can be ALWAYS, LOGGED_IN (for authenticated users only) or LOGGED_OUT (for guest users only).

iconName
string

Optional icon name to display alongside the label.

url
string

Target URL, required when type is URL.

pageName
string

Internal page name, required when type is PAGE.

Responses

Request samples

Content type
application/json
{
  • "items": [
    • {
      }
    ]
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}